Class | TkRoot
In: | tk/lib/tkextlib/tktrans/tktrans.rb tk/lib/tk/root.rb
Parent: | Object

### Methods

add_menu add_menubar destroy new path tktrans_get_image tktrans_set_image to_eval

### Included Modules

Wm TkMenuSpec

### Constants

WidgetClassName | = | 'Tk'.freeze

### Public Class methods

destroy()

[Source]

    # File tk/lib/tk/root.rb, line 105
      def TkRoot.destroy
        TkCore::INTERP._invoke('destroy', '.')
      end

new(keys=nil, &b)

[Source]

    # File tk/lib/tk/root.rb, line 38
      def TkRoot.new(keys=nil, &b)
        unless TkCore::INTERP.tk_windows['.']
          TkCore::INTERP.tk_windows['.'] =
            super(:without_creating=>true, :widgetname=>'.'){}
        end
        root = TkCore::INTERP.tk_windows['.']

        keys = _symbolkey2str(keys)

        # wm commands
        root.instance_eval{
          __methodcall_optkeys.each{|key, method|
            value = keys.delete(key.to_s)
            self.__send__(method, value) if value
          }
        }

        if keys  # wm commands ( for backward comaptibility )
          keys.each{|k,v|
            if v.kind_of? Array
              root.__send__(k,*v)
            else
              root.__send__(k,v)
            end
          }
        end

        root.instance_eval(&b) if block_given?
        root
      end

to_eval()

[Source]

    # File tk/lib/tk/root.rb, line 72
      def self.to_eval
        # self::WidgetClassName
        '.'
      end

### Public Instance methods

add_menu(menu_info, tearoff=false, opts=nil)

[Source]

    # File tk/lib/tk/root.rb, line 86
      def add_menu(menu_info, tearoff=false, opts=nil)
        # See tk/menuspec.rb for menu_info.
        # opts is a hash of default configs for all of cascade menus.
        # Configs of menu_info can override it.
        if tearoff.kind_of?(Hash)
          opts = tearoff
          tearoff = false
        end
        _create_menubutton(self, menu_info, tearoff, opts)
      end

add_menubar(menu_spec, tearoff=false, opts=nil)

[Source]

    # File tk/lib/tk/root.rb, line 97
      def add_menubar(menu_spec, tearoff=false, opts=nil)
        # See tk/menuspec.rb for menu_spec.
        # opts is a hash of default configs for all of cascade menus.
        # Configs of menu_spec can override it.
        menu_spec.each{|info| add_menu(info, tearoff, opts)}
        self.menu
      end

path()

[Source]

    # File tk/lib/tk/root.rb, line 82
      def path
        "."
      end

tktrans_get_image()

[Source]

    # File tk/lib/tkextlib/tktrans/tktrans.rb, line 49
      def tktrans_get_image()
        tk_send('tktrans::settoplevel', @path)
      end

tktrans_set_image(img)

[Source]

    # File tk/lib/tkextlib/tktrans/tktrans.rb, line 45
      def tktrans_set_image(img)
        tk_send('tktrans::settoplevel', @path, img)
        self
      end

[Validate]